--- old/usr/src/uts/common/io/scsi/targets/st.c	2015-08-19 07:25:15.918061670 -0400
+++ new/usr/src/uts/common/io/scsi/targets/st.c	2015-08-19 07:25:15.924063521 -0400
@@ -1474,7 +1474,7 @@
 		 */
 		wait_cmds_complete = ddi_get_lbolt();
 		wait_cmds_complete +=
-		    st_wait_cmds_complete * drv_usectohz(1000000);
+		    drv_sectohz(st_wait_cmds_complete);
 		while (un->un_ncmds || un->un_quef ||
 		    (un->un_state == ST_STATE_RESOURCE_WAIT)) {
 
@@ -6495,7 +6495,7 @@
 				scsi_log(ST_DEVINFO, st_label, SCSI_DEBUG,
 				    "Sending delayed start to st_runout()\n");
 				mutex_exit(ST_MUTEX);
-				(void) timeout(fnc, un, drv_usectohz(1000000));
+				(void) timeout(fnc, un, drv_sectohz(1));
 				mutex_enter(ST_MUTEX);
 			}
 			return;
@@ -17616,7 +17616,7 @@
 	do {
 		if (rval != 0) {
 			mutex_exit(ST_MUTEX);
-			delay(drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 			mutex_enter(ST_MUTEX);
 		}
 		rval = st_rcmd(un, SCMD_TEST_UNIT_READY, 0, SYNC_CMD);
